Bug 2051454 - Kitty modifies .bashrc
Summary: Kitty modifies .bashrc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kitty
Version: 35
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-07 09:50 UTC by Lyosha Alexeev
Modified: 2022-02-09 01:18 UTC (History)
3 users (show)

Fixed In Version: kitty-0.24.2-2.fc36 kitty-0.24.2-3.fc36 kitty-0.24.2-6.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-07 13:12:15 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Lyosha Alexeev 2022-02-07 09:50:01 UTC
Description of problem:

Kitty modifies .bahrc and adds

# BEGIN_KITTY_SHELL_INTEGRATION
if test -n "$KITTY_INSTALLATION_DIR" -a -e "$KITTY_INSTALLATION_DIR/shell-integration/bash/kitty.bash"; then source "$KITTY_INSTALLATION_DIR/shell-integration/bash/kitty.bash"; fi
# END_KITTY_SHELL_INTEGRATION

unless explicitly disabled in kitty.conf (or during build I guess).


As I understand it, this is not allowed as per https://docs.fedoraproject.org/en-US/packaging-guidelines/#_no_files_or_directories_under_srv_usrlocal_or_homeuser and very annoying.


Version-Release number of selected component (if applicable):

kitty-0.24.2-1.fc35.x86_64

How reproducible:

always

Steps to Reproduce:

Update kitty and watch the new entry in .bashrc.

https://github.com/kovidgoyal/kitty/blob/b5676a53eeddc208f8ab8bb2008dbdb6c77e4453/docs/shell-integration.rst#configuration

Comment 1 Yaroslav Sidlovsky 2022-02-07 10:04:35 UTC
> As I understand it, this is not allowed as per https://docs.fedoraproject.org/en-US/packaging-guidelines/#_no_files_or_directories_under_srv_usrlocal_or_homeuser and very annoying.

You understand it wrong - it's about that no package can modify file in user $HOME.

Comment 2 Yaroslav Sidlovsky 2022-02-07 10:09:32 UTC
I think we could disable shell_integration by default here: https://github.com/kovidgoyal/kitty/blob/01d866f48298301a8e5f456e1e82fbd876afd7a0/setup.py#L76

Comment 3 Fedora Update System 2022-02-07 11:37:59 UTC
FEDORA-2022-f2e2af8179 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f2e2af8179

Comment 4 Fedora Update System 2022-02-07 11:48:22 UTC
FEDORA-2022-fe09f16572 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-fe09f16572

Comment 5 Fedora Update System 2022-02-07 12:07:16 UTC
FEDORA-2022-bc5ae37c04 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-bc5ae37c04

Comment 6 Fedora Update System 2022-02-07 13:12:15 UTC
FEDORA-2022-f2e2af8179 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2022-02-07 13:15:07 UTC
FEDORA-2022-fe09f16572 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-02-08 01:42:27 UTC
FEDORA-2022-9a18554791 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-9a18554791`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9a18554791

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-02-09 01:18:10 UTC
FEDORA-2022-cd34d54495 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.